## python-senlinclient 1.10.1

=== debian/changelog ===
python-senlinclient (1.10.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 14:31:55 +0200

python-senlinclient (1.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 22:45:58 +0100

=== debian/control ===
Source: python-senlinclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 git,
 python3-babel,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-heatclient,
 python3-keystoneauth1,
 python3-mock,
 python3-mox3,
 python3-openstackclient,
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk (>= 0.24.0),
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-prettytable,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-senlinclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-senlinclient.git
Homepage: https://github.com/openstack/python-senlinclient

Package: python-senlinclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Clustering API Client Library - doc
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the documentation.

Package: python3-senlinclient
Architecture: all
Depends:
 python3-babel,
 python3-heatclient,
 python3-keystoneauth1,
 python3-openstacksdk (>= 0.24.0),
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-six,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-senlinclient-doc,
Description: OpenStack Clustering API Client Library - Python 3.x
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the Python 3.x module.

## python-senlinclient 1.11.0

=== debian/changelog ===
python-senlinclient (1.11.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Sep 2019 15:06:22 -0400

python-senlinclient (1.9.0-0ubuntu2) eoan; urgency=medium

  * d/control: Drop BDI's on python-* packages.
  * d/control: Drop python-senlinclient binary package.
  * d/*.postinst,prerm,postrm: Drop, alternatives no longer needed.
  * d/rules: Tweak to stop build and install of Python 2 parts.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 11 Jul 2019 14:34:19 +0200

=== debian/control ===
Source: python-senlinclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-git,
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.10.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.7.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-openstacksdk (>= 0.24.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7.2),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testrepository,
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 3.12),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-senlinclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-senlinclient
Homepage: https://github.com/openstack/python-senlinclient
Testsuite: autopkgtest-pkg-python

Package: python-senlinclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Clustering API Client Library - doc
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the documentation.

Package: python3-senlinclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-heatclient (>= 1.10.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstacksdk (>= 0.24.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.2),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-senlinclient-doc,
Description: OpenStack Clustering API Client Library - Python 3.x
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'senlinclient\.tests\.unit\.(?!(.*test_shell.ShellTest.test_do_add_profiler_args.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-senlinclient-doc/usr/share/doc/python-senlinclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-senlinclient 2.0.0

=== debian/changelog ===
python-senlinclient (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:35:46 -0400

## python-senlinclient 2.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel!=2.4.0,>=2.3.4 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7.2 # BSD
keystoneauth1>=3.4.0 # Apache-2.0
openstacksdk>=0.24.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
PyYAML>=3.12 # MIT
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT

=== debian/changelog ===
python-senlinclient (2.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Drop remaining py2 BDs.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 15:33:02 -0400

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,6 @@
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,11 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=python-senlinclient
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2
@@ -19,11 +21,11 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	sphinx-build -b html doc/source debian/python-senlinclient-doc/usr/share/doc/python-senlinclient-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild
 endif
 
 override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
+	dh_clean -O--buildsystem=pybuild
 	rm -rf build
 
 # Commands not to run

## python-senlinclient 2.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7.2 # BSD
keystoneauth1>=3.4.0 # Apache-2.0
openstacksdk>=0.24.0 # Apache-2.0
osc-lib>=1.11.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
PyYAML>=3.13 # MIT
requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
python-senlinclient (2.1.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 17:20:09 +0200

python-senlinclient (2.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switch to debhelper-compat 11.

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Sep 2020 08:40:19 +0200

python-senlinclient (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2020 12:20:10 +0200

python-senlinclient (2.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:38:12 +0200

python-senlinclient (2.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Apr 2020 16:59:28 +0200

python-senlinclient (1.11.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:49:07 +0200

python-senlinclient (1.11.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2019 17:37:35 +0200

=== debian/control ===
Source: python-senlinclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-heatclient,
 python3-keystoneauth1,
 python3-mox3,
 python3-openstackclient,
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk (>= 0.24.0),
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-prettytable,
 python3-requests,
 python3-requests-mock,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-senlinclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-senlinclient.git
Homepage: https://github.com/openstack/python-senlinclient

Package: python-senlinclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Clustering API Client Library - doc
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the documentation.

Package: python3-senlinclient
Architecture: all
Depends:
 python3-heatclient,
 python3-keystoneauth1,
 python3-openstacksdk (>= 0.24.0),
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-senlinclient-doc,
Description: OpenStack Clustering API Client Library - Python 3.x
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-senlinclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-senlinclient 2.2.1

=== debian/changelog ===
python-senlinclient (2.2.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 11:18:51 -0400

python-senlinclient (2.2.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Dec 2020 12:00:33 +0000

python-senlinclient (2.1.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:37:43 -0400

python-senlinclient (2.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 13:47:54 +0000

=== debian/control ===
Source: python-senlinclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-git,
 python3-hacking,
 python3-heatclient (>= 1.10.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.7.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.24.0),
 python3-osc-lib (>= 1.11.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pkg-resources (>= 21.0.0),
 python3-prettytable (>= 0.7.2),
 python3-reno,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testrepository,
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 3.13),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-senlinclient
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-senlinclient
Homepage: https://github.com/openstack/python-senlinclient
Testsuite: autopkgtest-pkg-python

Package: python-senlinclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Clustering API Client Library - doc
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the documentation.

Package: python3-senlinclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-heatclient (>= 1.10.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstacksdk (>= 0.24.0),
 python3-osc-lib (>= 1.11.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.2),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-senlinclient-doc,
Description: OpenStack Clustering API Client Library - Python 3.x
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the Python 3.x module.

## python-senlinclient 2.3.0

=== requirements.txt ===
--- 
+++ 
@@ -3,13 +3,13 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-PrettyTable<0.8,>=0.7.2 # BSD
-keystoneauth1>=3.4.0 # Apache-2.0
+PrettyTable>=0.7.2 # BSD
+keystoneauth1>=3.11.0 # Apache-2.0
 openstacksdk>=0.24.0 # Apache-2.0
 osc-lib>=1.11.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0
-PyYAML>=3.13 # MIT
+PyYAML>=5.3.1 # MIT
 requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
python-senlinclient (2.3.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:38:58 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-git,
  python3-hacking,
  python3-heatclient (>= 1.10.0),
- python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneauth1 (>= 3.11.0),
  python3-mock (>= 2.0.0),
  python3-mox3 (>= 0.7.0),
  python3-openstackclient (>= 3.12.0),
@@ -45,7 +45,7 @@
  python3-testrepository,
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- python3-yaml (>= 3.13),
+ python3-yaml (>= 5.3.1),
 Standards-Version: 4.1.2
 Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-senlinclient
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-senlinclient
@@ -71,7 +71,7 @@
 Depends:
  python3-babel (>= 2.3.4),
  python3-heatclient (>= 1.10.0),
- python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneauth1 (>= 3.11.0),
  python3-openstacksdk (>= 0.24.0),
  python3-osc-lib (>= 1.11.0),
  python3-oslo.i18n (>= 3.15.3),
@@ -81,7 +81,7 @@
  python3-prettytable (>= 0.7.2),
  python3-requests (>= 2.14.2),
  python3-six (>= 1.10.0),
- python3-yaml (>= 3.13),
+ python3-yaml (>= 5.3.1),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-senlinclient 2.5.0

=== debian/changelog ===
python-senlinclient (2.5.0-3) unstable; urgency=medium

  * Removed python3-mox3 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Dec 2022 18:33:44 +0100

python-senlinclient (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:42:35 +0200

python-senlinclient (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 13:31:26 +0200

python-senlinclient (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 11:38:30 +0100

python-senlinclient (2.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 21:58:55 +0100

python-senlinclient (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:53:01 +0200

python-senlinclient (2.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Sep 2021 09:36:52 +0200

python-senlinclient (2.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed build-depends version of openstack-pkg-tools in advance of
    Bullseye release.
  * Bump standards-version to 4.5.1.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Mar 2021 16:21:03 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'senlinclient\.tests\.unit\.(?!(.*test_shell.ShellTest.test_do_add_profiler_args.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-senlinclient-doc/usr/share/doc/python-senlinclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-senlinclient 3.0.0

=== debian/changelog ===
python-senlinclient (3.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1049187).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 14:25:23 +0200

python-senlinclient (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 13:23:50 +0200

python-senlinclient (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:20:25 +0100

## python-senlinclient 3.1.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix. 
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-senlinclient (3.1.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090615).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 22:40:38 +0100

python-senlinclient (3.1.0-3) unstable; urgency=medium

  * Removed /usr/bin alternative removal in {pre,post}rm.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:35:27 +0200

python-senlinclient (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 17:00:05 +0200

python-senlinclient (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 11:18:30 +0200

=== debian/control ===
Source: python-senlinclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-heatclient,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-prettytable,
 python3-requests,
 python3-requests-mock,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-senlinclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-senlinclient.git
Homepage: https://github.com/openstack/python-senlinclient

Package: python-senlinclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Clustering API Client Library - doc
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the documentation.

Package: python3-senlinclient
Architecture: all
Depends:
 python3-heatclient,
 python3-keystoneauth1,
 python3-openstacksdk,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-senlinclient-doc,
Description: OpenStack Clustering API Client Library - Python 3.x
 This is a client library for Senlin built on the Senlin clustering API. It
 provides a Python API (the senlinclient module) and a command-line tool
 (senlin).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,12 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -22,7 +24,7 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-senlinclient-doc/usr/share/doc/python-senlinclient-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild
 endif
 
 override_dh_python3:
